-- --------------------------------------------------------------------------------
-- CREATE PRE-COORDINATED TABLES
-- --------------------------------------------------------------------------------
DROP TABLE IF EXISTS v3_ingredient_strength
;
CREATE TABLE v3_ingredient_strength (
  mppid bigint(20) NOT NULL,
  mppterm varchar(1024) COLLATE utf8_unicode_ci NOT NULL,
  mpuuid bigint(20) NOT NULL,
  mpuuterm varchar(1024) COLLATE utf8_unicode_ci NOT NULL,
  substanceid bigint(20) NOT NULL,
  substanceterm varchar(1024) COLLATE utf8_unicode_ci NOT NULL,
  bossid bigint(20) NOT NULL,
  bossterm varchar(1024) COLLATE utf8_unicode_ci NOT NULL,
  operatorid bigint(20),
  operatorterm varchar(1024) COLLATE utf8_unicode_ci,
  strengthvalue varchar(255) COLLATE utf8_unicode_ci,
  unitid bigint(20),
  unitterm varchar(1024) COLLATE utf8_unicode_ci
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci
;

DROP TABLE IF EXISTS v3_unit_of_use
;
CREATE TABLE v3_unit_of_use (
  mppid bigint(20) NOT NULL,
  mppterm varchar(1024) COLLATE utf8_unicode_ci NOT NULL,
  mpuuid bigint(20) NOT NULL,
  mpuuterm varchar(1024) COLLATE utf8_unicode_ci NOT NULL,
  unitofuseid bigint(20) NOT NULL,
  unitofuseterm varchar(1024) COLLATE utf8_unicode_ci NOT NULL,  
  sizeoperatorid bigint(20),
  sizeoperatorterm varchar(1024) COLLATE utf8_unicode_ci,
  sizevalue varchar(255) COLLATE utf8_unicode_ci,
  sizeunitid bigint(20),
  sizeunitterm varchar(1024) COLLATE utf8_unicode_ci,
  quantityoperatorid bigint(20) NOT NULL,
  quantityoperatorterm varchar(1024) COLLATE utf8_unicode_ci NOT NULL,
  quantityvalue varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  quantityunitid bigint(20) NOT NULL,
  quantityunitterm varchar(1024) COLLATE utf8_unicode_ci NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci
;

DROP TABLE IF EXISTS v3_mpp_to_tpp
;
CREATE TABLE v3_mpp_to_tpp (
  mppid bigint(20) NOT NULL,
  mppterm varchar(1024) COLLATE utf8_unicode_ci NOT NULL,
  tppid bigint(20) NOT NULL,
  tppterm varchar(1024) COLLATE utf8_unicode_ci NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci
;

DROP TABLE IF EXISTS v3_total_ingredient_quantity
;
CREATE TABLE v3_total_ingredient_quantity (
  mpuuid bigint(20) NOT NULL,
  mpuuterm varchar(1024) COLLATE utf8_unicode_ci NOT NULL,
  bossid bigint(20) NOT NULL,
  bossterm varchar(1024) COLLATE utf8_unicode_ci NOT NULL,
  strengthvalue varchar(255) COLLATE utf8_unicode_ci,
  strengthunitid bigint(20),
  strengthunitterm varchar(1024) COLLATE utf8_unicode_ci,
  activeingredientid bigint(20) NOT NULL,
  activeingredientterm varchar(1024) COLLATE utf8_unicode_ci NOT NULL,
  sizevalue varchar(255) COLLATE utf8_unicode_ci,
  sizeunitid bigint(20),
  sizeunitterm varchar(1024) COLLATE utf8_unicode_ci,
  totalquantity varchar(255) COLLATE utf8_unicode_ci,
  totalquantityunitid bigint(20),
  totalquantityunitterm varchar(255) COLLATE utf8_unicode_ci
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci
;
